import React from 'react';
import {Redirect, Switch} from 'react-router-dom';

import {Login as SignIn, Register as SignUp, RouteWithLayout} from './components';
import {Main as MainLayout, Minimal as MinimalLayout} from './layouts';
import ProfessionalUserList from './components/ProfessionalUserList';
import {
  Dashboard as DashboardView,
  Account as AccountView,
  Settings as SettingsView,
  NotFound as NotFoundView,
  YourQuestions,
  YourRequests,
  YourPendingRequests,
  YourAnswers,
  Answers,
  RequestAnswers,
  UserView,
  Profesional,
  GoAnswer,
  AskQuestion,
  RateProfessional,
  UserProfilePage,
  AskAdminForm,
  GoAnswerRequest,
  AdminResumeView,
  AdminQuestions,
  AskRequest,
  CreateCategory
} from './views';
const Routes = () => {
  return (
    <Switch>
      <Redirect exact from="/" to="/signin"/>
      <RouteWithLayout
        component={DashboardView}
        exact
        layout={MainLayout}
        path="/homepage"
      />
      <RouteWithLayout
        component={AskQuestion}
        exact
        layout={MainLayout}
        path="/askquestion"
      />
      <RouteWithLayout
        component={AskRequest}
        exact
        layout={MainLayout}
        path="/askrequest"
      />
      <RouteWithLayout
        component={UserView}
        exact
        layout={MainLayout}
        path="/userlist"
      />
      <RouteWithLayout
        component={YourQuestions}
        exact
        layout={MainLayout}
        path="/yourquestions"
      />
      <RouteWithLayout
        component={ProfessionalUserList}
        exact
        layout={MainLayout}
        path="/professionals"
      />
      <RouteWithLayout
        component={YourRequests}
        exact
        layout={MainLayout}
        path="/yourrequests"
      />
      <RouteWithLayout
        component={YourPendingRequests}
        exact
        layout={MainLayout}
        path="/yourpendingrequests"
      />
      <RouteWithLayout
        component={Answers}
        exact
        layout={MainLayout}
        path="/answers"
      />
      <RouteWithLayout
        component={RequestAnswers}
        exact
        layout={MainLayout}
        path="/requestanswers"
      />
      <RouteWithLayout
        component={GoAnswer}
        exact
        layout={MainLayout}
        path="/goanswer"
      />
      <RouteWithLayout
        component={GoAnswerRequest}
        exact
        layout={MainLayout}
        path="/goanswerrequest"
      />
      <RouteWithLayout
        component={RateProfessional}
        exact
        layout={MainLayout}
        path="/rateprofessional"
      />
      <RouteWithLayout
        component={YourAnswers}
        exact
        layout={MainLayout}
        path="/youranswers"
      />
      <RouteWithLayout
        component={AccountView}
        exact
        layout={MainLayout}
        path="/profilepage"
      />
      <RouteWithLayout
        component={UserProfilePage}
        exact
        layout={MainLayout}
        path="/userprofilepage"
      />
      <RouteWithLayout
        component={SettingsView}
        exact
        layout={MainLayout}
        path="/settings"
      />
      <RouteWithLayout
        component={SignUp}
        exact
        layout={MinimalLayout}
        path="/signup"
      />
      <RouteWithLayout
        component={SignIn}
        exact
        layout={MinimalLayout}
        path="/signin"
      />
      <RouteWithLayout
        component={NotFoundView}
        exact
        layout={MinimalLayout}
        path="/not-found"
      />
      <RouteWithLayout
        component={Profesional}
        exact
        layout={MainLayout}
        path="/profesional"
      />
      <RouteWithLayout
        component={AskAdminForm}
        exact
        layout={MainLayout}
        path="/ask-admin"
      />
      <RouteWithLayout
        component={AdminResumeView}
        exact
        layout={MainLayout}
        path="/admin-resume-view"
      />
      <RouteWithLayout
        component={AdminQuestions}
        exact
        layout={MainLayout}
        path="/admin-questions"
      />
      <RouteWithLayout
        component={CreateCategory}
        exact
        layout={MainLayout}
        path="/create-category"
      />
      <Redirect to="/not-found"/>
    </Switch>
  );
};

export default Routes;
